/* include file for compression routines
** discussed in the march, 1991 issue of BYTE
*/

long lzw_compress( int infh, int outfh);
long lzw_expand( int infh, int outfh);
long huff_compress( int infh, int outfh);
long huff_expand( int infh, int outfh);

/* error definitions */
#define FATAL			1			/* is this a fatal error? */
#define NOTFATAL		0			/* or not ? */
#define C_USAGE		1			/* usage error; bad command line, etc.*/
#define E_USAGE		2			/* usage error; bad command line, etc.*/
#define FILEOPEN		3			/* can't open file */
#define NOMATCH		4			/* can't find file */
#define CANTCREATE		5			/* unable to create target file */
#define FILEREAD		6			/* can't read file */
#define FILEWRITE		7			/* can't write file */
#define NOMEM			8			/* insufficient memory */
#define BADOPTION		9			/* unrecognized cl switch*/
#define BADFORMAT		10			/* bad file format */
